/* $Id: api.h 29 2023-04-26 15:19:32Z nishi $ */
#ifndef __SWINEHUB_API_H__
#define __SWINEHUB_API_H__

#include <swinehub/config.h>

#define SWINEHUB_CODE_OK			0
#define SWINEHUB_CODE_UNKNOWN_REQUEST		1
#define SWINEHUB_CODE_USER_EXISTS		2
#define SWINEHUB_CODE_PARAM_MISSING		3
#define SWINEHUB_CODE_DB			4
#define SWINEHUB_CODE_USERNAME_TOO_LONG		5
#define SWINEHUB_CODE_USER_DOES_NOT_EXIST	6
#define SWINEHUB_CODE_INCORRECT_PASSWORD	7
#define SWINEHUB_CODE_INVALID_TOKEN		8
#define SWINEHUB_CODE_REPO_NOT_FOUND		9
#define SWINEHUB_CODE_SIGNUP_DISABLED		10
#define SWINEHUB_CODE_NO_HYPHENS		11
#define SWINEHUB_CODE_REPO_ALREADY_EXISTS	12
#define SWINEHUB_CODE_NO_HASHES			13
#define SWINEHUB_CODE_NO_BRACKETS		14
#define SWINEHUB_CODE_NO_EQUALS			15

void swinehub_api(struct swinehub_config* config);

#endif
